Get invoice
One invoice with its lines, buyer, payments and KSeF status.
GET https://cotlet.dev/api/v1/ifirma/invoices/{invoice_id}
read
Returns one invoice as the app shows it: number, buyer, lines, net, VAT and gross totals, payments recorded, reminders and the KSeF number and status. Use it after send_invoice_to_ksef to see whether KSeF accepted the invoice.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice_id integer required | integer | Invoice ID from list_invoices. |
Request
curl https://cotlet.dev/api/v1/ifirma/invoices/1 \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("ifirma", "get_invoice", {"invoice_id":1}) const result = await cotlet.call('ifirma', 'get_invoice', {"invoice_id":1}); cotlet call ifirma get_invoice --data '{"invoice_id":1}' Example response
{
"id": 7020118,
"number": "41/2026",
"buyer": "Blue Fern Studio",
"contractor_id": "c_4817",
"lines": [
{
"name": "Website retainer",
"quantity": 2,
"unit": "month",
"unit_price": 500,
"vat_rate": 23
}
],
"net": 1000,
"vat": 230,
"gross": 1230,
"currency": "PLN",
"due_date": "2026-10-28",
"paid": 0,
"reminders": 0,
"ksef_status": "queued",
"ksef_number": null
}